#
# spec file for package aod
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           aod
Version:        1.0.0
Release:        1%{?dist}
Summary:        Always-On Azure NFS Diagnostics on SLES15
# FIXME: Select a correct license from https://github.com/openSUSE/spec-cleaner#spdx-licenses
License:        MIT
URL:            https://github.com/Azure-Samples/azure-files-samples/tree/master
Source0:        aod-1.0.0-1.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       tcpdump, netcat-openbsd

%description
Always-On Azure NFS Diagnostics on SLES15.

%prep
%setup -q

%build
# %%configure
# %%make_build

%install
# %%make_install
install --directory $RPM_BUILD_ROOT/opt/aod/bin/
install --directory $RPM_BUILD_ROOT/etc/systemd/system/

install -m 0755 aod.sh $RPM_BUILD_ROOT/opt/aod/bin/
install -m 0755 aod_postinstall.sh $RPM_BUILD_ROOT/opt/aod/bin/
install -m 0644 aod.cfg $RPM_BUILD_ROOT/opt/aod/
install -m 0644 aod.service $RPM_BUILD_ROOT/etc/systemd/system/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/opt/aod/bin/aod_postinstall.sh

%preun
systemctl stop aod
systemctl disable aod

%postun
sudo umount /opt/aod/tmpfs_staging_area
sed -i /"^tmpfs.*aod.*$"/d /etc/fstab
rm -fR /opt/aod
rm -f /tmp/aod.pidfile
rm -f /tmp/aod.stop_capture
rm -fR /tmp/aod-logs

%files
/opt/aod/bin/aod.sh
/opt/aod/bin/aod_postinstall.sh
/opt/aod/aod.cfg
/etc/systemd/system/aod.service

%changelog

